%{?nodejs_find_provides_and_requires}

%global packagename sentiment
%global enable_tests 1

Name:		nodejs-sentiment
Version:	2.1.0
Release:	1%{?dist}
Summary:	AFINN-based sentiment analysis for Node.js

License:	MIT
URL:		https://github.com/thisandagain/sentiment
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(async)
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
AFINN-based sentiment analysis for Node.js


%prep
%autosetup -n package

%nodejs_fixdep async

%build
%nodejs_symlink_deps --build
make
rm -rf node_modules/


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap ./test/{unit,integration}/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc
%license
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Dec 19 2016 Jared Smith <jsmith@fedoraproject.org> - 2.1.0-1
- Initial packaging
